Bug 430054 - Missing windows icons in windows runner
Summary: Missing windows icons in windows runner
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-05 20:20 UTC by Kai Uwe Broulik
Modified: 2020-12-30 15:30 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.21


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Uwe Broulik 2020-12-05 20:20:07 UTC
SUMMARY
There are no icons for windows in the windows runner anymore on X11.

STEPS TO REPRODUCE
1. Have a window with title "foo"
2. Search for "foo" in KRunner

OBSERVED RESULT
A window entry "foo" with no icon

EXPECTED RESULT
A window entry "foo" with the appropriate icon

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 5.20.80
KDE Frameworks Version: 5.77.0
Qt Version: 5.15.1

ADDITIONAL INFORMATION
There is no pixmap serialization happening in the runner whatsoever, just 

match.iconName = client->icon().name();

which requires themed window icons which we don't have on X.
Comment 1 Bug Janitor Service 2020-12-17 19:06:53 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/558
Comment 2 Kai Uwe Broulik 2020-12-29 21:22:53 UTC
Git commit 5edfccac127d054f7dfd47461b501dabbdd8bcf5 by Kai Uwe Broulik.
Committed on 29/12/2020 at 21:22.
Pushed by broulik into branch 'master'.

KRunner integration: Send window pixmap along

If there is no icon name available which is very often
the case on X11.

M  +39   -1    plugins/krunner-integration/dbusutils_p.h
M  +16   -0    plugins/krunner-integration/windowsrunnerinterface.cpp

https://invent.kde.org/plasma/kwin/commit/5edfccac127d054f7dfd47461b501dabbdd8bcf5